﻿Configuration SetupDSC
{
    Import-DscResource -module xjea
    Node localhost
    {
        xJeaEndPoint CleanAll
        {
            Name     = 'CleanALL'
            CleanAll = $true
        }

        LocalConfigurationManager
        {
            RefreshFrequencyMins = 30
            ConfigurationMode    = "ApplyAndAutoCorrect"
            DebugMode            = "True"    #This disables provider caching 
        }
    }
}

SetupDSC -OutputPath C:\DSCDemo

Set-DscLocalConfigurationManager -Path C:\DSCDemo -Verbose 

Start-DscConfiguration -Path c:\DSCDemo -Wait -Verbose
#EOF
